<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: musicbox2_admin.php
| Author: Gander
| Przystosowanie: bartek124
+--------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."musicbox2_panel/infusion_db.php";

if (!checkrights("MBP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }
if (isset($_GET['track_id']) && !isnum($_GET['track_id'])) redirect(FUSION_SELF.$aidlink);
if (isset($_GET['track_order']) && !isnum($_GET['track_order'])) redirect(FUSION_SELF.$aidlink);

if (file_exists(INFUSIONS."musicbox2_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."musicbox2_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."musicbox2_panel/locale/English.php";
}

if (isset($_POST['save'])){
	$track_title = preg_replace("/\s+/", " ", str_replace(array("_", "+")," ",stripinput($_POST['track_title'])));
	$track_path = stripinput(urldecode($_POST['track_path']));
	
	if (!$track_title) {
		$track_title = strrchr($track_path,"/");
		$length = strrpos($track_title,".");
		$length = (!$length ? strlen($track_title) : $length)-1;
		$track_title = substr($track_title,1,$length);
	}
	
	if (isset($_GET['track_id'])){
		dbquery("UPDATE ".DB_MUSICBOX." SET track_title='".$track_title."', track_path='".$track_path."' WHERE track_id='".$_GET['track_id']."'");
	} else {
		echo $track_order = dbresult(dbquery("SELECT max(track_order) FROM ".DB_MUSICBOX),0)+1;
		dbquery("INSERT INTO ".DB_MUSICBOX." (track_title,track_path,track_order) VALUES ('".$track_title."','".$track_path."','".$track_order."')");
	}
	
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_POST['save_settings'])) {
	$playlistpath = $_POST['playlistpath'];
	$playerskin = $_POST['playerskin'];
	$overcolor = trim($_POST['overcolor']);
	$info = addslash($_POST['info']);
	if (!preg_match("/^\#[0-9A-F\s]{6}$/i", $overcolor)) $overcolor = "#2570BA";
	dbquery("UPDATE ".DB_MUSICBOX_SETTINGS." SET playlistpath='".$playlistpath."', playerskin='".$playerskin."', overcolor='".$overcolor."', info='".$info."'");
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_POST['cancel'])) {
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_GET['step']) && $_GET['step'] == "delete") {
	$data = dbarray(dbquery("SELECT track_order FROM ".DB_MUSICBOX." WHERE track_id='".$_GET['track_id']."'"));
	$result = dbquery("DELETE FROM ".DB_MUSICBOX." WHERE track_id='".$_GET['track_id']."'");
	$result = dbquery("UPDATE ".DB_MUSICBOX." SET track_order=track_order-1 WHERE track_order>='".$data['track_order']."'");
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_GET['step']) && $_GET['step'] == "mup") {
	$data = dbarray(dbquery("SELECT track_id FROM ".DB_MUSICBOX." WHERE track_order='".$_GET['track_order']."'"));
	$result = dbquery("UPDATE ".DB_MUSICBOX." SET track_order=track_order+1 WHERE track_id='".$data['track_id']."'");
	$result = dbquery("UPDATE ".DB_MUSICBOX." SET track_order=track_order-1 WHERE track_id='".$_GET['track_id']."'");
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_GET['step']) && $_GET['step'] == "mdown") {
	$data = dbarray(dbquery("SELECT track_id FROM ".DB_MUSICBOX." WHERE track_order='".$_GET['track_order']."'"));
	$result = dbquery("UPDATE ".DB_MUSICBOX." SET track_order=track_order-1 WHERE track_id='".$data['track_id']."'");
	$result = dbquery("UPDATE ".DB_MUSICBOX." SET track_order=track_order+1 WHERE track_id='".$_GET['track_id']."'");
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_GET['step']) && $_GET['step'] == "status") {
	$data = dbarray(dbquery("SELECT track_id,track_status FROM ".DB_MUSICBOX." WHERE track_id='".$_GET['track_id']."'"));
	$result = dbquery("UPDATE ".DB_MUSICBOX." SET track_status=".($data['track_status']==1?0:1)." WHERE track_id='".$data['track_id']."'");
	redirect(FUSION_SELF.$aidlink."&refreshed");
} elseif (isset($_GET['step']) && $_GET['step'] == "refresh") {
	$result = dbquery("SELECT track_id FROM ".DB_MUSICBOX." ORDER BY track_order ASC, track_title ASC");
	if (dbrows($result)){
		$i = 1;
		while($data = dbarray($result)) {
			dbquery("UPDATE ".DB_MUSICBOX." SET track_order='".$i."' WHERE track_id = '".$data['track_id']."'");
			$i++;
		}
	}
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_GET['step']) && $_GET['step'] == "create") {
	opentable($locale['mb_218']);
	$result = @dbquery("SELECT * FROM ".DB_MUSICBOX." WHERE track_status='1' ORDER BY track_order ASC");
	echo "<div style='margin-bottom:10px;'>".$locale['mb_220']."</div>\n";
	echo "<textarea class='textbox' style='width:95%; height:300px; font-family:monospace'>\n";
	if (@dbrows($result)){
		echo "&lt;?xml version='1.0' encoding='UTF-8'?&gt;\n&lt;xml&gt;\n";
		while ($data = dbarray($result)){
			echo "   &lt;track&gt;\n";
			echo "      &lt;path&gt;".$data['track_path']."&lt;/path&gt;\n";
			echo "      &lt;title&gt;".$data['track_title']."&lt;/title&gt;\n";
			echo "   &lt;/track&gt;\n";
		}
		echo "&lt;/xml&gt;\n";
	} else {
		echo $locale['mb_221'];
	}
	echo "</textarea>\n<br>\n";
	echo "<div style='margin: 10px auto;'>".sprintf($locale['mb_222'],"<i class='alt'>musicbox2_panel/player/playlist.xml</i>","<i class='alt'>musicbox2_panel/player/index.html</i>","<i style='color:red'>playlist.php</i>", "<i style='color:green'>playlist.xml</i>")."</div>\n";
	echo "<div style='margin-top:10px; text-align:center'>[<a href='".FUSION_SELF.$aidlink."'>".$locale['mb_223']."</a>]</div>\n";
	closetable();
	
} else {
	if (!file_exists(INFUSIONS."musicbox2_panel/player/playerMultipleList.swf")){
		opentable("".$locale['mb_224']."");
		echo "<p style='text-align:center;color:#F00000; font-weight:bold;'>".sprintf($locale['mb_225'], "( <span style='font-style:italic;'>playerMultipleMenu.swf</span> )")."</p>\n";
		closetable();
	} else {
		$mbs = dbarray(dbquery("SELECT * FROM ".DB_MUSICBOX_SETTINGS));
		opentable($locale['mb_226']);
		echo "<form action='".FUSION_SELF.$aidlink."' method='post'>
<table cellpadding='0' cellspacing='1' class='tbl-border' align='center'>
<tr>
<td class='tbl2' width='300' rowspan='5'>
<object data='player/playerMultipleList.swf' type='application/x-shockwave-flash' width='300' height='200'>
<param name='movie' value='player/playerMultipleList.swf'>
<param name='menu' value='false'>
<param name='scale' value='noscale'>
<param name='bgcolor' value='#FFFFFF'>
<param name='flashvars' value='playlistPath=player/playlist.".$mbs['playlistpath']."&amp;autoPlay=no&amp;playerSkin=".$mbs['playerskin']."&amp;overColor=".$mbs['overcolor']."'>
</object>
</td>
<td class='tbl2'>".$locale['mb_227'].":</td><td class='tbl2' align='center'><select name='playerskin' class='textbox' style='text-align:center;'><option".($mbs['playerskin'] == '1' ? " selected" : "").">1</option><option".($mbs['playerskin'] == '2' ? " selected" : "").">2</option><option".($mbs['playerskin'] == '3' ? " selected" : "").">3</option><option".($mbs['playerskin'] == '4' ? " selected" : "").">4</option><option".($mbs['playerskin'] == '5' ? " selected" : "").">5</option></select></td></tr>
<tr><td class='tbl2'>".$locale['mb_228'].":</td><td class='tbl2' align='center'><input type='text' name='overcolor' value='".$mbs['overcolor']."' class='textbox' maxlength='7' style='width:65px; text-align:center;'></td></tr>
<tr><td class='tbl2'>".$locale['mb_229'].":</td><td class='tbl2' align='center'><select name='playlistpath' class='textbox' style='text-align:center;'><option value='php'".($mbs['playlistpath'] == 'php' ? " selected" : "").">".$locale['mb_231']."</option><option value='xml'".($mbs['playlistpath'] == 'xml' ? " selected" : "").">".$locale['mb_232']."</option></select></td></tr>
<tr><td class='tbl2'>".$locale['mb_230'].":</td><td class='tbl2' align='center'><input type='checkbox' name='autoplay' value='1' class='poll'".(!$mbs['autoplay'] ? "" : " checked")."></td></tr>
<tr><td class='tbl2' colspan='2'><textarea name='info' class='text' style='width:180px; height:80px;'>".phpentities(stripslashes($mbs['info']))."</textarea></td></tr>
<tr><td class='tbl2' colspan='3' align='center'><input type='submit' name='save_settings' value='".$locale['mb_204']."' class='button'></td></tr>
</table>
</form>\n";
		closetable();
		if (isset($_GET['step']) && $_GET['step'] == "edit"){
			$result = dbquery("SELECT * FROM ".DB_MUSICBOX." WHERE track_id = '".$_GET['track_id']."'");
			if (!@dbrows($result)) redirect(FUSION_SELF.$aidlink);
			$data = dbarray($result);
			$track_title = $data['track_title'];
			$track_path = $data['track_path'];
			$formaction = FUSION_SELF.$aidlink."&amp;track_id=".$data['track_id'];
			opentable($locale['mb_201']);
		} else {
			$track_title = "";
			$track_path = "";
			$formaction = FUSION_SELF.$aidlink;
			opentable($locale['mb_200']);
		}
		echo "<form action='".$formaction."' method='post'>
<table cellpadding='0' cellspacing='0' align='center'>
<tr>
<td class='tbl'>".$locale['mb_202'].":</td>
<td class='tbl'><input type='text' name='track_title' value='".$track_title."' maxlength='100' class='textbox' style='width:450px'></td>
</tr>
<tr>
<td class='tbl'>".$locale['mb_203'].":</td>
<td class='tbl'><input type='text' name='track_path' value='".$track_path."' maxlength='255' class='textbox' style='width:450px'></td>
</tr>
<tr>
<td class='tbl' style='text-align:center;' colspan='2'><input type='submit' name='save' value='".$locale['mb_204']."' class='button'> <input type='submit' name='cancel' value='".$locale['mb_205']."' class='button'></td>
</tr>
</table>
</form>\n";
		closetable();
		
		tablebreak();
		
		opentable($locale['mb_206']);
		$result = dbquery("SELECT * FROM ".DB_MUSICBOX." ORDER BY track_order ASC");
		if (!($rows=@dbrows($result))) {
			echo "<center>".$locale['mb_207']."</center>\n";
		} else {
			$testPlayerExists = !file_exists(INFUSIONS."musicbox2_panel/player/playerMini.swf");
			$counter = 1;
			$activeSongs = 0;
			echo "<table cellpadding='0' cellspacing='1' class='tbl-border' width='100%'>
<tr>
<td class='tbl' style='text-align:center; font-weight:bold;' width='1%'>#</td>
<td class='tbl' style='text-align:center; font-weight:bold;'>".$locale['mb_202']." / ".$locale['mb_203']."</td>
<td class='tbl' style='text-align:center; font-weight:bold;' colspan='3'>".$locale['mb_208']."</td>
<td class='tbl' style='text-align:center; font-weight:bold;' width='1%'>".$locale['mb_209']."</td>
</tr>\n";
			while ($data = dbarray($result)){
				if ($counter != $data['track_order']) redirect(FUSION_SELF.$aidlink."&step=refresh");
				if ($rows > 1) {
					$up = $data['track_order'] - 1;
					$down = $data['track_order'] + 1;
					if ($counter == 1) {
						$up_down = " <a href='".FUSION_SELF.$aidlink."&amp;step=mdown&amp;track_id=".$data['track_id']."&amp;track_order=".$down."'><img src='images/down.png' alt='&darr;' title='".$locale['mb_210']."' style='border:0px; width:12px; height:12px;'></a>";
					} else if ($counter < $rows) {
						$up_down = " <a href='".FUSION_SELF.$aidlink."&amp;step=mup&amp;track_id=".$data['track_id']."&amp;track_order=".$up."'><img src='images/up.png' alt='&uarr;' title='".$locale['mb_211']."' style='border:0px; width:12px; height:12px;'></a>\n";
						$up_down .= " <a href='".FUSION_SELF.$aidlink."&amp;step=mdown&amp;track_id=".$data['track_id']."&amp;track_order=".$down."'><img src='images/down.png' alt='&darr;' title='".$locale['mb_210']."' style='border:0px; width:12px; height:12px;'></a>";
					} else {
						$up_down = " <a href='".FUSION_SELF.$aidlink."&amp;step=mup&amp;track_id=".$data['track_id']."&amp;track_order=".$up."'><img src='images/up.png' alt='&uarr;' title='".$locale['mb_211']."' style='border:0px; width:12px; height:12px;'></a>";
					}
				} else {
					$up_down = "";
				}
				if ($data['track_status']==1) $activeSongs++;
				$flag = ($counter%2 ? "tbl2" : "tbl1");
				echo "<tr>
<td class='$flag' style='text-align:center' rowspan='2'>".$counter."</td>
<td class='$flag'><a style='font-weight:bold; color:".(!$data['track_status'] ? "#C60000" : "#008000")."' href='".FUSION_SELF.$aidlink."&amp;step=status&amp;track_id=".$data['track_id']."' title='".$locale['mb_212']."'>".trimlink($data['track_title'],50)."</a></td>
<td class='$flag' rowspan='2' width='1%'><a href='".FUSION_SELF.$aidlink."&amp;step=edit&amp;track_id=".$data['track_id']."'><img src='images/edit.png' alt='E' title='".$locale['mb_213']."' style='border:0px; width:14px; height:14px;'></a></td>
<td class='$flag' rowspan='2' width='1%'><a href='".FUSION_SELF.$aidlink."&amp;step=delete&amp;track_id=".$data['track_id']."' onClick='return DeleteTrack()'><img src='images/delete.png' alt='D' title='".$locale['mb_214']."' style='border:0px; width:12px; height:12px;'></a></td>
<td class='$flag' rowspan='2' width='1%' style='text-align:center' nowrap>".$up_down."</td>
<td class='$flag' rowspan='2' width='1%' style='text-align:center'>".($testPlayerExists ? $locale['mb_215'] : "<object data='player/playerMini.swf' type='application/x-shockwave-flash' width='75' height='30'><param name='movie' value='player/playerMini.swf'><param name='menu' value='false'><param name='scale' value='noscale'><param name='flashvars' value='playlistPath=playlist.php&amp;autoPlay=no&amp;overColor=#".dechex(rand(255,16777215))."&amp;soundPath=".$data['track_path']."'></object>")."</td>
</tr><tr><td class='$flag'><a href='".str_replace(" ", "%20", $data['track_path'])."' target='_blank'>".(strlen($data['track_path']) > 80 ? "... ".substr($data['track_path'],-50) : $data['track_path'])."</a></td>
</tr>\n";
				$counter++;
			}
			echo "</table>\n";
		}
		closetable();
		echo "<div style='text-align:right; font-size:9px'>[<a href='".FUSION_SELF.$aidlink."&amp;step=create'>".$locale['mb_218']."</a>]</div>\n";
	}
}

echo "<script type='text/javascript' language='JavaScript'>
<!--
function DeleteTrack() {
	return confirm('".$locale['mb_219']."');
}

//-->
</script>
</td>\n";
require_once THEMES."templates/footer.php";
?>