<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Gander
| Przystosowanie: bartek124
+--------------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."musicbox2_panel/infusion_db.php";

if (file_exists(INFUSIONS."musicbox2_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."musicbox2_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."musicbox2_panel/locale/English.php";
}

$inf_title = $locale['mb2_100'];
$inf_description = $locale['mb2_101'];
$inf_version = "2.1";
$inf_developer = "Gander & bartek124";
$inf_email = "fusion@gander.pl";
$inf_weburl = "http://gander.pl/service.php?inf=MB2";

$inf_folder = "musicbox2_panel";

$inf_newtable[1] = DB_MUSICBOX." (
  track_id smallint(5) unsigned NOT NULL auto_increment,
  track_title varchar(100) NOT NULL default '',
  track_path varchar(255) NOT NULL default '',
  track_order tinyint(3) unsigned NOT NULL default '0',
  track_status tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (track_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_MUSICBOX_SETTINGS." (
  playlistpath char(3) NOT NULL default '',
  autoplay tinyint(1) NOT NULL default '0',
  playerskin tinyint(1) NOT NULL default '0',
  overcolor varchar(7) NOT NULL default '',
  info tinytext NOT NULL
) TYPE=MyISAM;";

$inf_droptable[1] = DB_MUSICBOX;
$inf_droptable[2] = DB_MUSICBOX_SETTINGS;

$inf_insertdbrow[1] = DB_MUSICBOX_SETTINGS." (playlistpath, autoplay, playerskin, overcolor, info) VALUES ('php', 1, 1, '#2570BA', '".$locale['mb_301']."')";

$inf_adminpanel[1] = array(
	"title" => $locale['mb2_100'],
	"image" => "",
	"panel" => "musicbox2_admin.php",
	"rights" => "MBP"
);
?>